## librpcsecgss 0.18-1

=== debian/changelog ===
librpcsecgss (0.18-1) unstable; urgency=low

  * New upstream
  * Repackage debian source
  * Merge with Ubuntu
    Don't conflict with librpcsecgss2
  * Add debian/watch file
  * Don't ship librpcsecgss.la
  * Fixed the following lintian issues:
    W: librpcsecgss source: out-of-date-standards-version 3.7.2
       (current is 3.7.3)
    W: librpcsecgss source: build-depends-on-1-revision build-depends:
       libgssglue-dev (>= 0.1-1)
    W: librpcsecgss3: description-contains-homepage
    W: librpcsecgss-dev: description-contains-homepage
    W: librpcsecgss3: binary-or-shlib-defines-rpath
       ./usr/lib/librpcsecgss.so.3.0.0 /usr/lib

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 18 Apr 2008 21:26:12 +1000

librpcsecgss (0.17-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: fix upgrade problem when Conflict lists librpcsecgss2.
    - debian/control: Maintainer field update.

 -- Kees Cook <kees@ubuntu.com>  Wed, 24 Oct 2007 11:33:59 -0700

librpcsecgss (0.17-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 22 Oct 2007 20:14:58 +1000

librpcsecgss (0.16-1) unstable; urgency=low

  * New upstream release.
  * Replaced libgssapi-dev as build-dependcy by libgssglue-dev.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 11 Sep 2007 18:12:40 +1000

librpcsecgss (0.14-4) unstable; urgency=high

  [ Nico Golde ]
  * Fixed DoS and possible arbitary code execution due to a
    stack-based buffer overflow (CVE-2007-4743) (Closes: #441393).

 -- Daniel Baumann <daniel@debian.org>  Sun,  9 Sep 2007 21:03:00 +0200

librpcsecgss (0.14-3) unstable; urgency=high

  * Fix buffer overflow in RPCSEC_GSS (CVE-2007-3999).
  * Fixed the following lintian message:
    - W: librpcsecgss source: substvar-source-version-is-deprecated librpcsecgss-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 28 Aug 2007 13:42:11 +1000

librpcsecgss (0.14-2ubuntu4) gutsy; urgency=low

  * SECURITY UPDATE: possible arbitary code execution due to 32-byte
    stack overflow.
  * src/svc_auth_gss.c: upstream fixes applied inline
  * References
    CVE-2007-4743

 -- Kees Cook <kees@ubuntu.com>  Mon, 01 Oct 2007 15:11:47 -0700

librpcsecgss (0.14-2ubuntu3) gutsy; urgency=low

  * debian/changelog: owch, typo in CVE number.  Fixed to -3999.

 -- Kees Cook <kees@ubuntu.com>  Tue, 04 Sep 2007 12:24:02 -0700

librpcsecgss (0.14-2ubuntu2) gutsy; urgency=low

  * SECURITY UPDATE: code execution via stack overflow in RPCSEC_GSS
  * src/svc_auth_gss.c: patched inline from krb5 fixes.
  * References
    CVE-2007-3999 

 -- Kees Cook <kees@ubuntu.com>  Tue, 04 Sep 2007 12:09:34 -0700

librpcsecgss (0.14-2ubuntu1) feisty; urgency=low

  * fix upgrade problem by removing Conflict to librpcsecgss2 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Jan 2007 10:41:51 +0100

librpcsecgss (0.14-2) unstable; urgency=low

  * Fixed "soname bump without changing package name", closes: #382024.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Aug 2006 04:22:55 +1000

librpcsecgss (0.14-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 03 Aug 2006 09:26:51 +1000

librpcsecgss (0.13-2) unstable; urgency=low

  * Updated co-maintainer mail address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 05 Jul 2006 14:44:58 +1000

librpcsecgss (0.13-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 09 Jun 2006 15:37:03 +1000

librpcsecgss (0.12-1) unstable; urgency=low

  * New upstream release.
  * New maintainer.
  * Set Standards-Version to 3.7.2.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 02 Jun 2006 17:00:03 +1000

librpcsecgss (0.11-1) unstable; urgency=low

  * New upstream release
  * changes:
    -Remove all unnecessary headers from this distribution and instead
    use the headers provided by glibc.  This should fix problems reported
    on 64-bit platforms.
    -Fix compiler errors and most warnings due to these changes.
    -Add install code to remove old versions of our headers that may have
    been previously installed.
    -Change soname and version.
  * debian/control:
    -added Anibal Monsalve Salazar and Steinar H. Gunderson to Uploaders:
    -bump library version to librpcsecgss2
  
 -- Timo Aaltonen <tjaalton@cc.hut.fi>  Thu, 27 Apr 2006 08:26:26 +0300

librpcsecgss (0.10-1) unstable; urgency=low

  * New upstream release
  * changes:
    -Modify authgss_get_private_data() to "forget" about the private data it
    just gave away.
    -Add new function authgss_free_private_data() to be called by the caller of
    authgss_get_private_data() to free up resources.

 -- Timo Aaltonen <tjaalton@cc.hut.fi>  Thu,  6 Apr 2006 09:31:25 +0300

librpcsecgss (0.9-1) unstable; urgency=low

  * New upstream release
  * changes:
    -Fix potential memory leak on authgss_create() failure.
  * debian/libgssapi1.conffiles: remove, debhelper adds gssapi_mech.conf
    to the list of conffiles already.

 -- Timo Aaltonen <tjaalton@cc.hut.fi>  Mon,  3 Apr 2006 09:43:23 +0300

librpcsecgss (0.8-1) unstable; urgency=low

  * New upstream release
  * initial upload to Debian (closes: #359648)
  * debian/watch: create
  * debian/control:
    -bump Standards-Version to 3.6.2
    -Section: libdevel for -dev
    -add cdbs, libgssapi-dev, pkg-config to Build-Depends: 
    -remove unneeded whitespace from the descriptions
    -raise Build-Depends on debhelper, now (>=5.0.0)
    -add an URL to the upstream sources
  * debian/rules: use cdbs
  * debian/{*dirs,docs}: removed files that are unnecessary because of
    cdbs
  * make copyright more readable
  * change compat to 5

 -- Timo Aaltonen <tjaalton@cc.hut.fi>  Wed, 29 Mar 2006 13:26:02 +0300

librpcsecgss (0.7-1) unstable; urgency=low

  * new "upstream"

 -- J. Bruce Fields <bfields@fieldses.org>  Mon, 19 Dec 2005 17:47:32 -0500


