=== debian/control ===
Source: librpcsecgss
Section: libs
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Thomas Maass <inyourface@gmx.de>
Build-Depends: debhelper (>= 5), autotools-dev, pkg-config, chrpath, libkrb5-dev, libgssglue-dev
Standards-Version: 3.7.3
Homepage: http://www.citi.umich.edu/projects/nfsv4/linux/

Package: librpcsecgss-dev
Section: libdevel
Architecture: any
Depends: librpcsecgss3 (= ${binary:Version})
Description: header files and docs for librpcsecgss
 Contains the header files and documentation for librpcsecgss
 for use in developing applications that use the rpcsecgss library.
 .
 rpcsecgss allows secure rpc communication using the rpcsec_gss protocol.

Package: librpcsecgss3
Priority: standard
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: allows secure rpc communication using the rpcsec_gss protocol
 librpcsecgss allows secure rpc communication using the rpcsec_gss protocol.
