## librpcsecgss 0.19

=== debian/changelog ===
librpcsecgss (0.19-7) unstable; urgency=medium

  * Merge 0.19-6ubuntu1.
    Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).
    Closes: #735958.
  * Use default compression for binary packages.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 10 Sep 2014 01:21:54 +0100

librpcsecgss (0.19-6ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Fri, 17 Jan 2014 00:55:05 -0500

librpcsecgss (0.19-6) unstable; urgency=low

  * Fix FTBFS on hurd-i386
    Patch by Samuel Thibault
    Add 03-729177-hurd-i386.patch
    Closes: #729177
  * Standards-Version: 3.9.5

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 24 Nov 2013 12:13:02 +1100

librpcsecgss (0.19-5) unstable; urgency=low

  * Add multiarch support
  * Use hardening options
    Closes: #654808
  * DH compatibility level is 9

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 09 Jun 2012 09:10:11 +1000

librpcsecgss (0.19-4) unstable; urgency=low

  * Be more verbose if context creation fails
    Patch by Lukas Hejtmanek
    Add 02-be-more-verbose.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 05 Dec 2011 12:45:16 +1100

librpcsecgss (0.19-3) unstable; urgency=low

  * Debian source format is 3.0 (quilt)
  * librpcsecgss-dev: build with "-Zbzip2 -z9"
  * Fix out-of-date-standards-version
  * Fix debhelper-but-no-misc-depends
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Nov 2011 16:33:50 +1100

librpcsecgss (0.19-2) unstable; urgency=low

  * Removing myself from uploaders.

 -- Daniel Baumann <daniel@debian.org>  Mon, 31 Aug 2009 08:57:49 +0200

librpcsecgss (0.19-1) unstable; urgency=low

  * New upstream
  * Update debian/copyright
    Sun Microsystems relicensed its RPC code
    Refer to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=424957
  * Fix out-of-date-standards-version
  * Fix patch-system-but-no-source-readme

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 20 Aug 2009 13:58:03 +1000

librpcsecgss (0.18-3) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fix FTBFS on GNU/kFreeBSD by using getpid() (rather than arc4random())
    not only if __linux__ is defined, but also if __GLIBC__ is defined, in
    both src/clnt_{tcp,udp}.c (Closes: #535587).

  [ Anibal Monsalve Salazar ]
  * Build depends on guilt
  * Add 01-535587-kbsd.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 04 Jul 2009 12:43:39 +1000

librpcsecgss (0.18-2) unstable; urgency=low

   * DH compatibility level is 7
   * Fix out-of-date-standards-version
   * Fix dh-clean-k-is-deprecated

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 03 Jul 2009 20:30:18 +1000
