=== debian/control ===
Source: librpcsecgss
Section: libs
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf, pkg-config, chrpath, libkrb5-dev, libgssglue-dev
Standards-Version: 3.9.5
Homepage: http://www.citi.umich.edu/projects/nfsv4/linux/

Package: librpcsecgss-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, librpcsecgss3 (= ${binary:Version})
Description: header files and docs for librpcsecgss
 Contains the header files and documentation for librpcsecgss
 for use in developing applications that use the rpcsecgss library.
 .
 rpcsecgss allows secure rpc communication using the rpcsec_gss protocol.

Package: librpcsecgss3
Priority: standard
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: allows secure rpc communication using the rpcsec_gss protocol
 librpcsecgss allows secure rpc communication using the rpcsec_gss protocol.
