=== debian/watch ===
version=3
http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/ librpcsecgss-([\d]+[\d\.]*).tar.gz
